> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/folder.md).

# Folder

Folders

## Search Folders

> Returns JSON representation of the Folder tree

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}},"schemas":{"Folder":{"properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"}}}}},"paths":{"/folders":{"get":{"tags":["folder"],"summary":"Search Folders","description":"Returns JSON representation of the Folder tree","operationId":"folderSearch","parameters":[{"schema":{"type":"integer"},"name":"folderId","in":"path","description":"Show usage details for the specified Folder Id","required":false},{"schema":{"type":"integer"},"name":"gridView","in":"query","description":"Flag (0, 1), Show Folders in a standard grid response","required":false},{"schema":{"type":"integer"},"name":"folderId","in":"query","description":"Use with gridView, Filter by Folder Id","required":false},{"schema":{"type":"string"},"name":"folderName","in":"query","description":"Use with gridView, Filter by Folder name","required":false},{"schema":{"type":"integer"},"name":"exactFolderName","in":"query","description":"Use with gridView, Filter by exact Folder name match","required":false}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Folder"}}}}}}}}}}
```

## Add Folder

> Add a new Folder to the specified parent Folder

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}},"schemas":{"Folder":{"properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"}}}}},"paths":{"/folders":{"post":{"tags":["folder"],"summary":"Add Folder","description":"Add a new Folder to the specified parent Folder","operationId":"folderAdd","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/Folder"}}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"text":{"type":"string","description":"Folder Name"},"parentId":{"type":"string","description":"The ID of the parent Folder, if not provided, Folder will be added under Root Folder"}},"required":["text"]}}}}}}}}
```

## Edit Folder

> Edit existing Folder

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}},"schemas":{"Folder":{"properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"}}}}},"paths":{"/folders/{folderId}":{"put":{"tags":["folder"],"summary":"Edit Folder","description":"Edit existing Folder","operationId":"folderEdit","parameters":[{"schema":{"type":"integer"},"name":"folderId","in":"path","description":"Folder ID to edit","required":true}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/Folder"}}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"text":{"type":"string","description":"Folder Name"}},"required":["text"]}}}}}}}}
```

## Delete Folder

> Delete existing Folder

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}},"schemas":{"Folder":{"properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"}}}}},"paths":{"/folders/{folderId}":{"delete":{"tags":["folder"],"summary":"Delete Folder","description":"Delete existing Folder","operationId":"folderDelete","parameters":[{"schema":{"type":"integer"},"name":"folderId","in":"path","description":"Folder ID to edit","required":true}],"responses":{"204":{"description":"successful operation","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/Folder"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/folder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
